Skip to content

My sites

All operations require authentication.

35 operationsv1 · v2/hosting/web · /webhosting/attachedDomain · /webhosting/resource
Agent setup

List attached domainsProduction

GET
/1.0/hosting/web/{serviceName}/attachedDomain

Returns the domains and subdomains attached to the hosting. Filter them by domain or path.

Path parameters

serviceName
required
string

Service name

Query parameters

domain
string

Filter the value of domain property (like)

path
string

Filter the value of path property (like)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List websitesProduction

GET
/1.0/hosting/web/{serviceName}/website

Returns the IDs of the websites of the hosting. Filter them by path.

Path parameters

serviceName
required
string

Service name

Query parameters

path
string

Filter the value of path property

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

List deploymentsProduction

GET
/1.0/hosting/web/{serviceName}/website/{id}/deployment

Returns the IDs of the deployments of the website.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id}/deployment \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

List websitesBeta

GET
/v2/webhosting/resource/{name}/website

Returns the websites of the hosting.

Path parameters

name
required
string

Name

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Website[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Webhosting Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Webhosting Website target specification

Example uses name = string

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/website \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" } }]

Get an attached domainProduction

GET
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}

Returns the path, CDN, firewall, SSL, IP location and status of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200PublicAttachedDomainsuccessful operation
capabilities
read-only
Capabilities[]

Provides the capabilities related to your attachedDomain

cdn
read-only
CdnEnum

whether or not attachedDomain is linked to the hosting cdn

Valuesactivenone
domain
read-only
string

Domain linked (fqdn)

firewall
read-only
FirewallEnum

Firewall state for this path

Valuesactivenone
ipLocation
read-only
CountryEnum

IP location of the domain linked

ValuesBECACZDEESFIFRIEITLTNLPLPTUK
isFlushable
read-only
boolean

Whether your CDN can be flushed

ownLog
read-only
string

Domain for separate the logs

path
read-only
string

Attached domain path

runtimeId
read-only
integer

The runtime configuration ID used on this domain

ssl
read-only
boolean

Put domain in SSL certificate

status
read-only
StatusEnum

Domain status

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The task ID working on this domain

vcsStatus
read-only
VcsStatusEnum

The status of the VCS synchronization

ValuescreatedcreatingdeletingdeployingdisablederrorinitialError

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "capabilities": [ { "description": "string", "href": "string", "key": "string", "method": "DELETE" } ], "cdn": "active", "domain": "string", "firewall": "active", "ipLocation": "BE", "isFlushable": true, "ownLog": "string", "path": "string", "runtimeId": 0, "ssl": true, "status": "created", "taskId": 0, "vcsStatus": "created"}

Find hostings by attached domainProduction

GET
/1.0/hosting/web/attachedDomain

Returns the service names of the hostings that have the given domain attached.

Query parameters

domain
required
string

Domain used into web hosting attached domains

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/attachedDomain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get attached domain DNS statusProduction

GET
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/digStatus

Returns the DNS records of the attached domain, their status and the recommended IPs to point them to.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200DigStatussuccessful operation
domain
read-only
string

Attached domain

recommendedIps
read-only
RecommendedIps

Recommended IPs for DNS records configuration

records
read-only
object
—

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/digStatus \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domain": "string", "recommendedIps": { "recommendedIpV4": [ "192.0.2.0" ], "recommendedIpV6": [ "2001:41d0:1:1994::1" ] }, "records": { "key": { "dnsConfigured": true, "isOvhIp": true, "type": "A" } }}

Get the SSL certificateProduction

GET
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl

Returns the provider, type and status of the SSL certificate of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Get the SSL certificate reportProduction

GET
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl/report

Returns the status of each validation check run by the certification authority for the certificate of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200Reportsuccessful operation
certificateSigningRequestStatus
read-only
ReportStatusEnum

"Certificate signing request" test status done by certification authority

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
domainControlValidationStatus
read-only
ReportStatusEnum

"Domain control validation" test status done by certification authority

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
organizationValidationStatus
read-only
ReportStatusEnum

Applicant's legal status obtained or verified directly with registration agency

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
phoneCallApprovalStatus
read-only
ReportStatusEnum

Approval verified through a phone call to the contract signer

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
providerOrderId
read-only
string

The order ID from given hostedssl provider

termsAndConditionsAcceptanceStatus
read-only
ReportStatusEnum

Terms and conditions agreements acceptance

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
tradeNameVerificationStatus
read-only
ReportStatusEnum

Trade name verified directly with registration agency or through a verified third party

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl/report \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "certificateSigningRequestStatus": "completed", "domainControlValidationStatus": "completed", "organizationValidationStatus": "completed", "phoneCallApprovalStatus": "completed", "providerOrderId": "string", "termsAndConditionsAcceptanceStatus": "completed", "tradeNameVerificationStatus": "completed"}

Get the domain ownership tokenProduction

GET
/1.0/hosting/web/{serviceName}/token

Get the domain ownership token. Returns the token that proves the ownership of an external domain. Add it in a TXT record of the ovhcontrol subdomain in the DNS zone.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/token \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get VCS webhook URLsProduction

GET
/1.0/hosting/web/{serviceName}/vcs/webhooks

Returns the webhook URL to call on push events to deploy a website. Filter it by hosting path and VCS platform.

Path parameters

serviceName
required
string

Service name

Query parameters

path
required
string

Filter on hosting path

vcs
required
SupportedVcsEnum

Filter on VCS platform

Valuesgithub

Response

200VcsWebhookssuccessful operation
push
read-only
string

Webhook URL for push events

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/vcs/webhooks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "push": "string"}

List supported VCS platformsProduction

GET
/1.0/hosting/web/vcs/supported

Returns the VCS platforms a website can be deployed from.

Response

200SupportedVcsEnum[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/vcs/supported \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "github"]

Get a websiteProduction

GET
/1.0/hosting/web/{serviceName}/website/{id}

Returns the name, path, status, domains and repository of the website.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200Websitesuccessful operation
domains
read-only
Domain[]

Domains of the website

hostingDisplayName
read-only
string

Display name of the hosting

hostingServiceName
read-only
string

Name of the hosting service

id
read-only
integer

Website numeric identifier

name
read-only
string

Customizable name of the website

path
read-only
string

Relative path on the hosting filesystem the website is deployed into

status
read-only
StatusEnum

Current status of the website

ValuescreatedcreatingdeletingdeployingerrorinitialError
vcsBranch
read-only
string

Branch of the repository containing the website source code to deploy

vcsUrl
read-only
string

URL of the repository containing the website source code to deploy

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domains": [ { "cdn": true, "fqdn": "string", "ssl": true } ], "hostingDisplayName": "string", "hostingServiceName": "string", "id": 0, "name": "string", "path": "string", "status": "created", "vcsBranch": "string", "vcsUrl": "string"}

Get a deploymentProduction

GET
/1.0/hosting/web/{serviceName}/website/{id}/deployment/{deploymentId}

Returns the status, source, branch and last commit of the deployment.

Path parameters

deploymentId
required
integer

Deployment ID

id
required
integer

Id

serviceName
required
string

Service name

Response

200Deploymentsuccessful operation
date
read-only
stringdate-time

Date of the deployment

id
read-only
integer

Deployment numeric identifier

reset
read-only
boolean

Whether a reset was requested before deploying

source
read-only
string

Source which triggered the deployment

status
read-only
StatusEnum

Current status of the deployment

Valuesdoingfailedsuccessful
vcsBranch
read-only
string

Which branch of the repository is deployed

vcsCommitId
read-only
string

Identifier of the last commit after deployment

vcsCommitMessage
read-only
string

Message of the last commit after deployment

websiteId
read-only
integer

Website numeric identifier

Example uses deploymentId = 0, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id}/deployment/{deploymentId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "reset": true, "source": "string", "status": "doing", "vcsBranch": "string", "vcsCommitId": "string", "vcsCommitMessage": "string", "websiteId": 0}

Get deployment logsProduction

GET
/1.0/hosting/web/{serviceName}/website/{id}/deployment/{deploymentId}/logs

Returns the dated log messages of the deployment.

Path parameters

deploymentId
required
integer

Deployment ID

id
required
integer

Id

serviceName
required
string

Service name

Response

200LogsMessage[]successful operation
date
read-only
stringdate-time

Date of the message

message
read-only
string

Content of the message

Example uses deploymentId = 0, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id}/deployment/{deploymentId}/logs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01T12:00:00Z", "message": "string" }]

Get website creation capabilitiesProduction

GET
/1.0/hosting/web/{serviceName}/websiteCreationCapabilities

Returns the number of existing websites and the number allowed by the offer, then the same for the websites deployed from a Git repository, -1 meaning unlimited.

Path parameters

serviceName
required
string

Service name

Response

200WebsiteCreationCapabilitiessuccessful operation
allowedVcsWebsites
read-only
integer

Number of websites deployed from a Git repository allowed by your hosting offer, -1 meaning unlimited

allowedWebsites
read-only
integer

Number of websites allowed by your hosting offer, Git-deployed or not, -1 meaning unlimited

existingVcsWebsites
read-only
integer

Number of existing websites deployed from a Git repository on your hosting

existingWebsites
read-only
integer

Number of existing websites on your hosting, Git-deployed or not

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/websiteCreationCapabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedVcsWebsites": 0, "allowedWebsites": 0, "existingVcsWebsites": 0, "existingWebsites": 0}

List attached domainsBeta

GET
/v2/webhosting/attachedDomain

Returns the domains attached to all the web hostings of the account. Filter them by name with the domain parameter.

Query parameters

domain
string

Optional query param to only filter domain name

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200AttachedDomain[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
AttachedDomainCurrentState

Current state of the attached domain

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the attached domain

id
read-only
stringuuid

Unique identifier of the attached domain

ipLocation
read-only
IpLocationCountryEnum

IP Location for the attached domain

ValuesBECACZDEESFIFRIEITLTNLPLPTUK
resourceStatus
read-only
ResourceStatusEnum

Webhosting attached domain readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/webhosting/attachedDomain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "cdn": { "status": "ACTIVE" }, "firewall": { "status": "ACTIVE" }, "fqdn": "string", "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "hosting": { "boostOffer": "string", "displayName": "string", "offer": "string", "serviceName": "string" }, "isDefault": true, "ownLog": "string", "path": "string", "ssl": { "status": "ACTIVE" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "ipLocation": "BE", "resourceStatus": "CREATING" }]

List attached domainsBeta

GET
/v2/webhosting/resource/{name}/attachedDomain

Returns the domains attached to the hosting, with their path and their SSL, CDN, firewall and Git settings.

Path parameters

name
required
string

Name

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200AttachedDomain[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
AttachedDomainCurrentState

Current state of the attached domain

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the attached domain

id
read-only
stringuuid

Unique identifier of the attached domain

ipLocation
read-only
IpLocationCountryEnum

IP Location for the attached domain

ValuesBECACZDEESFIFRIEITLTNLPLPTUK
resourceStatus
read-only
ResourceStatusEnum

Webhosting attached domain readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses name = string

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/attachedDomain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "cdn": { "status": "ACTIVE" }, "firewall": { "status": "ACTIVE" }, "fqdn": "string", "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "hosting": { "boostOffer": "string", "displayName": "string", "offer": "string", "serviceName": "string" }, "isDefault": true, "ownLog": "string", "path": "string", "ssl": { "status": "ACTIVE" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "ipLocation": "BE", "resourceStatus": "CREATING" }]

Get a websiteBeta

GET
/v2/webhosting/resource/{name}/website/{websiteId}

Returns the website name, root folder, number of linked domains and its Git and module status.

Path parameters

name
required
string

Name

websiteId
required
stringuuid

Website ID

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Webhosting Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Webhosting Website target specification

Example uses name = string, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/website/{websiteId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" }}

List website domainsBeta

GET
/v2/webhosting/resource/{name}/website/{websiteId}/domain

Returns the domains linked to the website, with their path, CDN and firewall status.

Path parameters

name
required
string

Name

websiteId
required
stringuuid

Website ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Domain[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
DomainCurrentState

Current state of the domain

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website's domain

id
read-only
string

Unique identifier of the domain

resourceStatus
read-only
ResourceStatusEnum

Webhosting Domain readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses name = string, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/website/{websiteId}/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "cdn": { "status": "ACTIVE" }, "firewall": { "status": "ACTIVE" }, "fqdn": "string", "path": "string", "ssl": { "status": "ACTIVE" }, "websiteId": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING" }]

Attach a domainProduction

POST
/1.0/hosting/web/{serviceName}/attachedDomain

Attaches a domain to a folder of the hosting, with its CDN, firewall, SSL and IP location settings, and returns the task. Set bypassDNSConfiguration to true to leave the DNS zone unchanged.

Path parameters

serviceName
required
string

Service name

Request body (required)

bypassDNSConfiguration
boolean

If set to true, DNS zone will not be updated by the operation

cdn
CdnEnum

Whether the attached domain is linked to the hosting CDN

Valuesactivenone
domain
string

Domain to link

firewall
FirewallEnum

Whether the firewall is active for this domain

Valuesactivenone
ipLocation
CountryEnum

Change attached domain's DNS to the IP of the country

ValuesBECACZDEESFIFRIEITLTNLPLPTUK
ownLog
string

Domain to separate the logs on

path
string

Path of the attached domain

runtimeId
integer

The runtime configuration ID used on this domain

ssl
boolean

Whether to put the attached domain in the SSL certificate

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Create a free SSL certificateProduction

POST
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl

Creates the free Let's Encrypt SSL certificate of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Regenerate the SSL certificateProduction

POST
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl/regenerate

Regenerates the SSL certificate of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl/regenerate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Purge the attached domain cacheProduction

POST
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/purgeCache

Purge the attached domain cache. Purges the CDN cache of the attached domain and returns the task. Available when isFlushable is true on the attached domain.

Path parameters

domain
required
string

Domain linked (fqdn)

serviceName
required
string

The internal name of your hosting

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/purgeCache \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Restart the attached domain virtual hostProduction

POST
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/restart

Restart the attached domain virtual host. Restarts the virtual host serving the attached domain and returns the task.

Path parameters

domain
required
string

Domain linked (fqdn)

serviceName
required
string

The internal name of your hosting

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/restart \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Create a websiteProduction

POST
/1.0/hosting/web/{serviceName}/website

Creates a website in a folder of the hosting, deployed from a repository branch, and returns the task.

Path parameters

serviceName
required
string

Service name

Request body (required)

path
required
string

Relative path on the hosting filesystem the website will be deployed into

vcsBranch
required
string

Branch of the repository containing the website source code to deploy

vcsUrl
required
string

Clone URL of the repository containing the website source code to deploy

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Deploy a websiteProduction

POST
/1.0/hosting/web/{serviceName}/website/{id}/deploy

Deploys the website from its repository branch and returns the task. Set reset to true to reset the website files before deploying.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Request body (required)

reset
boolean

Whether a reset was requested before deploying

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id}/deploy \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Create a websiteBeta

POST
/v2/webhosting/resource/{name}/website

Creates a website on a domain, with its root folder, and can install a WordPress, Joomla, Drupal or PrestaShop module. Creation is asynchronous: follow resourceStatus until READY. Set bypassDNSConfiguration to true to leave the DNS zone unchanged.

Path parameters

name
required
string

Name

Request body (required)

targetSpec
required
WebsitePostTargetSpec

Target specification of the website

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Webhosting Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Webhosting Website target specification

Example uses name = string

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/website \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" }}

Detach a domainProduction

DELETE
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}

Detaches the domain from the hosting and returns the task. Set bypassDNSConfiguration to true to leave the DNS zone unchanged.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Query parameters

bypassDNSConfiguration
boolean

If set to true, DNS zone will not be updated by the operation

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Delete the SSL certificateProduction

DELETE
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl

Deletes the SSL certificate of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Delete a websiteProduction

DELETE
/1.0/hosting/web/{serviceName}/website/{id}

Deletes the website and returns the task. Set deleteFiles to true to also empty the website folder.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Query parameters

deleteFiles
required
boolean

Whether the website path should be emptied or not

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Update an attached domainProduction

PUT
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}

Updates the path, CDN, firewall, SSL, IP location or log domain of the attached domain.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Request body (required)

bypassDNSConfiguration
boolean

If set to true, DNS zone will not be updated by the operation

cdn
CdnEnum

Whether the attached domain is linked to the hosting CDN

Valuesactivenone
domain
string

Domain to link

firewall
FirewallEnum

Whether the firewall is active for this domain

Valuesactivenone
ipLocation
CountryEnum

Change attached domain's DNS to the IP of the country

ValuesBECACZDEESFIFRIEITLTNLPLPTUK
ownLog
string

Domain to separate the logs on

path
string

Path of the attached domain

runtimeId
integer

The runtime configuration ID used on this domain

ssl
boolean

Whether to put the attached domain in the SSL certificate

Response

200—successful operation

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"

Update the SSL certificateProduction

PUT
/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl

Updates the SSL certificate of the attached domain. Set regenerate to true to regenerate it.

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Request body (required)

regenerate
boolean

true to regenerate the certificate

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/attachedDomain/{domain}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Update a websiteProduction

PUT
/1.0/hosting/web/{serviceName}/website/{id}

Updates the repository branch deployed on the website.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Request body (required)

vcsBranch
string

Branch of the repository containing the website source code to deploy

Response

200Websitesuccessful operation
domains
read-only
Domain[]

Domains of the website

hostingDisplayName
read-only
string

Display name of the hosting

hostingServiceName
read-only
string

Name of the hosting service

id
read-only
integer

Website numeric identifier

name
read-only
string

Customizable name of the website

path
read-only
string

Relative path on the hosting filesystem the website is deployed into

status
read-only
StatusEnum

Current status of the website

ValuescreatedcreatingdeletingdeployingerrorinitialError
vcsBranch
read-only
string

Branch of the repository containing the website source code to deploy

vcsUrl
read-only
string

URL of the repository containing the website source code to deploy

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/website/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domains": [ { "cdn": true, "fqdn": "string", "ssl": true } ], "hostingDisplayName": "string", "hostingServiceName": "string", "id": 0, "name": "string", "path": "string", "status": "created", "vcsBranch": "string", "vcsUrl": "string"}

Update a websiteBeta

PUT
/v2/webhosting/resource/{name}/website/{websiteId}

Updates the name and root folder of the website.

Path parameters

name
required
string

Name

websiteId
required
stringuuid

Website ID

Request body (required)

targetSpec
required
WebsiteTargetSpec

Target specification of the resource

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Webhosting Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Webhosting Website target specification

Example uses name = string, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/website/{websiteId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" }}